androsyn    2012/04/29 22:16:45 UTC	(20120429_0-27395)
  Log:
  Disable timerfd/signalfd on openvz, it seems broken

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/epoll.c (File Modified) 


androsyn    2012/04/15 21:36:30 UTC	(20120415_0-27389)
  Log:
  backport r27387 - fix a pair of memset typos

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/commio.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/epoll.c (File Modified) 


dubkat      2012/03/16 23:12:52 UTC	(20120316_1-27385)
  Log:
  more copyright changes

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/version.c.SH (File Modified) 


dubkat      2012/03/16 06:29:42 UTC	(20120316_0-27377)
  Log:
  House cleaning - update our copyright notices

  Modified:
	libratbox/branches/LIBRATBOX_3_0/include/commio-int.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/commio-ssl.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/event-int.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_balloc.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_commio.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_event.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_linebuf.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_memory.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_rawbuf.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_snprintf.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_tools.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/balloc.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/commio.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/devpoll.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/epoll.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/event.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/gnutls.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/kqueue.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/linebuf.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/nossl.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/openssl.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/poll.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/rawbuf.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/rb_memory.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/select.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/tools.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/unix.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/version.c.SH (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/win32.c (File Modified) 


androsyn    2012/03/11 00:30:40 UTC	(20120311_0-27355)
  Log:
  Rerun libtoolize/autoreconf
  

  Modified:
	libratbox/branches/LIBRATBOX_3_0/Makefile.in (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/aclocal.m4 (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure.ac (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/ltmain.sh (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/Makefile.in (File Modified) 


androsyn    2011/10/20 22:48:26 UTC	(20111020_0-27243)
  Log:
  - Remove the somewhat pointless minimum openssl version check.  I'm not sure
    why we are were even picking *that* version.  Meh.  
  - Rebuild autotools
  
  

  Modified:
	libratbox/branches/LIBRATBOX_3_0/Makefile.in (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/aclocal.m4 (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure.ac (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/ltmain.sh (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/Makefile.in (File Modified) 


androsyn    2010/12/27 22:42:16 UTC	(20101227_1-27165)
  Log:
  remove sigio.c from the makefiles too

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/Makefile.am (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/Makefile.in (File Modified) 


androsyn    2010/12/27 22:07:37 UTC	(20101227_0-27161)
  Log:
  return on RB_ERROR_SSL, do not do two callbacks

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/gnutls.c (File Modified) 


androsyn    2010/11/04 19:47:38 UTC	(20101104_0-27143)
  Log:
  rip out the sigio code in the 3.0 branch.  it causes more bug reports than its worth

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/commio.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/sigio.c (File Deleted) 


androsyn    2010/10/19 23:46:59 UTC	(20101019_1-27115)
  Log:
  rerun libtoolize

  Modified:
	libratbox/branches/LIBRATBOX_3_0/ltmain.sh (File Modified) 


androsyn    2010/10/19 23:42:10 UTC	(20101019_0-27113)
  Log:
  libratbox will actually cross compile now
  

  Modified:
	libratbox/branches/LIBRATBOX_3_0/Makefile.in (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/acinclude.m4 (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/aclocal.m4 (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/libratbox_config.h.in (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/Makefile.in (File Modified) 


androsyn    2009/08/05 17:05:58 UTC	(20090805_0-26650)
  Log:
  add back checks for cp, mv etc

  Modified:
	libratbox/branches/LIBRATBOX_3_0/Makefile.in (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure.ac (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/Makefile.in (File Modified) 


androsyn    2009/07/27 21:27:47 UTC	(20090727_0-26632)
  Log:
  fix ssl certs/key reloading with gnutls

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/gnutls.c (File Modified) 


androsyn    2009/07/23 19:14:13 UTC	(20090723_1-26628)
  Log:
  fix two typos

  Modified:
	libratbox/branches/LIBRATBOX_3_0/configure (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure.ac (File Modified) 


androsyn    2009/07/23 19:10:41 UTC	(20090723_0-26626)
  Log:
  - Check to see if certain warning flags are supported by the compiler and use them all the time
  - Add -fno-strict-aliasing to the list of flags passed, this seems to be needed for gcc 4.4 now
    as we end up breaking strict aliasing rules when doing a lot of things
  - Remove unneeded checks for rm etc as autoconf already checks these anyways
  - Rerun libtoolize to get a newer version of libtool
  - Rerun autotools
  
  

  Modified:
	libratbox/branches/LIBRATBOX_3_0/Makefile.in (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/aclocal.m4 (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure.ac (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/libratbox_config.h.in (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/ltmain.sh (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/Makefile.am (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/Makefile.in (File Modified) 


androsyn    2009/07/09 15:03:14 UTC	(20090709_0-26614)
  Log:
  commit jilles fix for computing number of file descriptors correctly

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/commio.c (File Modified) 


androsyn    2009/05/15 22:08:07 UTC	(20090515_0-26547)
  Log:
  remove check for libssp

  Modified:
	libratbox/branches/LIBRATBOX_3_0/configure (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure.ac (File Modified) 


androsyn    2009/05/13 15:34:47 UTC	(20090513_2-26527)
  Log:
  add stack-protector checks for the 3.0 branch

  Modified:
	libratbox/branches/LIBRATBOX_3_0/acinclude.m4 (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure.ac (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/libratbox_config.h.in (File Modified) 


androsyn    2009/05/13 15:31:01 UTC	(20090513_1-26525)
  Log:
  somehow i seemed to miss some changes that should ahve been backported as well

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/devpoll.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/epoll.c (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/kqueue.c (File Modified) 


androsyn    2009/05/13 15:26:02 UTC	(20090513_0-26523)
  Log:
  backport -r26521 and add logic to warn about unused results and fix some cases where results aren't checked

  Modified:
	libratbox/branches/LIBRATBOX_3_0/include/commio-int.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/ratbox_lib.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_commio.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/include/rb_helper.h (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/src/epoll.c (File Modified) 


androsyn    2009/03/10 18:53:32 UTC	(20090310_0-26473)
  Log:
  add the approriate shared library opening stuff for openssl

  Modified:
	libratbox/branches/LIBRATBOX_3_0/configure (File Modified) 
	libratbox/branches/LIBRATBOX_3_0/configure.ac (File Modified) 


androsyn    2009/01/12 03:57:23 UTC	(20090112_0-26395)
  Log:
  backport r26393 that fixes timekeeping with sigio

  Modified:
	libratbox/branches/LIBRATBOX_3_0/src/sigio.c (File Modified) 


androsyn    2008/12/18 05:02:57 UTC	(20081218_0-26339)
  Log:
  make libratbox 3_0 branch
  

  Modified:
	libratbox/branches/LIBRATBOX_3_0/ (File Added) 


androsyn    2008/12/13 03:36:00 UTC	(20081213_1-26296)
  Log:
  fix a gnutls related double free

  Modified:
	libratbox/trunk/src/gnutls.c (File Modified) 


androsyn    2008/12/13 03:01:19 UTC	(20081213_0-26294)
  Log:
  shut up gcc warnings regarding can_do_timerd

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


androsyn    2008/12/10 23:28:53 UTC	(20081210_10-26286)
  Log:
  make ports work properly

  Modified:
	libratbox/trunk/src/ports.c (File Modified) 


androsyn    2008/12/10 20:33:21 UTC	(20081210_9-26282)
  Log:
  tweak the ssl info output a bit

  Modified:
	libratbox/trunk/src/gnutls.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2008/12/10 20:25:29 UTC	(20081210_8-26280)
  Log:
  report ssl info in the libratbox version

  Modified:
	libratbox/trunk/include/commio-ssl.h (File Modified) 
	libratbox/trunk/src/gnutls.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2008/12/10 06:45:54 UTC	(20081210_7-26276)
  Log:
  these rb_set_time calls aren't needed i don't think

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


androsyn    2008/12/10 06:24:47 UTC	(20081210_6-26274)
  Log:
  fix signalfd stuff for ultrasparc linux....

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


androsyn    2008/12/10 05:55:10 UTC	(20081210_5-26272)
  Log:
  fix some epoll related timer stuff

  Modified:
	libratbox/trunk/include/event-int.h (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2008/12/10 04:08:39 UTC	(20081210_4-26260)
  Log:
  Rebuild configure and friends with autoconf 2.63
  
  

  Modified:
	libratbox/trunk/Makefile.in (File Modified) 
	libratbox/trunk/aclocal.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 


androsyn    2008/12/10 04:06:12 UTC	(20081210_3-26258)
  Log:
  add a missing part of the ports timer commit

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 


androsyn    2008/12/10 04:05:26 UTC	(20081210_2-26256)
  Log:
  remove a duplicate prototype

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 


androsyn    2008/12/10 04:04:38 UTC	(20081210_1-26254)
  Log:
  fix ports and devpoll and add timer support to ports

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/ports.c (File Modified) 


androsyn    2008/12/10 04:03:09 UTC	(20081210_0-26252)
  Log:
  change SSL_CTX_use_certificate_file to SSL_CTX_use_certificate_chain_file

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/11/23 17:13:19 UTC	(20081123_1-26240)
  Log:
  revert that last change

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


androsyn    2008/11/23 17:04:29 UTC	(20081123_0-26238)
  Log:
  ifdef can_do_timerfd to avoid a compile time warning

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


androsyn    2008/11/11 00:00:12 UTC	(20081111_0-26180)
  Log:
  fix build errors on os x leopard

  Modified:
	libratbox/trunk/src/unix.c (File Modified) 


androsyn    2008/11/07 02:10:19 UTC	(20081107_0-26178)
  Log:
  untested fix for building on os x -- environ is not accessible to shared libraries...

  Modified:
	libratbox/trunk/src/unix.c (File Modified) 


androsyn    2008/10/26 20:59:07 UTC	(20081026_2-26170)
  Log:
  add rb_basename and rb_dirname

  Modified:
	libratbox/trunk/include/rb_tools.h (File Modified) 
	libratbox/trunk/src/export-syms.txt (File Modified) 
	libratbox/trunk/src/tools.c (File Modified) 


androsyn    2008/10/26 20:58:40 UTC	(20081026_1-26168)
  Log:
  remove -O0 from configure.ac and configure

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/10/26 20:48:56 UTC	(20081026_0-26166)
  Log:
  do an ERR_get_error() if opening the dhparams file fails

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/10/03 18:02:13 UTC	(20081003_0-26126)
  Log:
  fix up the timerfd autoconf stuff a bit better

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 


androsyn    2008/09/29 22:58:42 UTC	(20080929_0-26122)
  Log:
  fix the timerfd_create check

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 


androsyn    2008/09/20 01:27:19 UTC	(20080920_1-26100)
  Log:
  properly cast a few things when doing pointer math and the like

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/09/20 01:05:42 UTC	(20080920_0-26096)
  Log:
  make rb_close_all be a no-op on win32, its not too useful there either as windows doesn't inherit sockets/files by default

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/09/19 15:13:52 UTC	(20080919_0-26092)
  Log:
  update indent.pro and rerun through indent

  Modified:
	libratbox/trunk/.indent.pro (File Modified) 
	libratbox/trunk/include/arc4random.h (File Modified) 
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/commio-ssl.h (File Modified) 
	libratbox/trunk/include/rb_balloc.h (File Modified) 
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/include/rb_event.h (File Modified) 
	libratbox/trunk/include/rb_helper.h (File Modified) 
	libratbox/trunk/include/rb_linebuf.h (File Modified) 
	libratbox/trunk/include/rb_memory.h (File Modified) 
	libratbox/trunk/include/rb_patricia.h (File Modified) 
	libratbox/trunk/include/rb_rawbuf.h (File Modified) 
	libratbox/trunk/include/rb_snprintf.h (File Modified) 
	libratbox/trunk/include/rb_tools.h (File Modified) 
	libratbox/trunk/src/arc4random.c (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/crypt.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/gnutls.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/patricia.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/ports.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 
	libratbox/trunk/src/rb_memory.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 
	libratbox/trunk/src/snprintf.c (File Modified) 
	libratbox/trunk/src/tools.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2008/09/18 18:56:55 UTC	(20080918_1-26088)
  Log:
  on win32 add randomness from RtlGenRandom if its available

  Modified:
	libratbox/trunk/src/arc4random.c (File Modified) 


androsyn    2008/09/18 18:41:19 UTC	(20080918_0-26086)
  Log:
  add timerfd_create support on linux with glibc 2.8

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/version.c.SH (File Modified) 


androsyn    2008/09/15 15:47:42 UTC	(20080915_0-26082)
  Log:
  cast svptr a bit harder to deal with 32bit systems.  Also use sizeof our_signalfd_siginfo.

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


jilles      2008/09/14 22:24:27 UTC	(20080914_0-26078)
  Log:
  Fix infinite recursion crash on non-win32.
  

  Modified:
	libratbox/trunk/src/unix.c (File Modified) 


androsyn    2008/09/10 01:45:22 UTC	(20080910_1-26072)
  Log:
  fix a typo

  Modified:
	libratbox/trunk/src/select.c (File Modified) 


androsyn    2008/09/10 00:23:41 UTC	(20080910_0-26068)
  Log:
  attempt to override FD_SETSIZE for select and if rb_maxconnections is greater than FD_SETSIZE, lower rb_maxconnections.  Also prefer select to win32

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 


androsyn    2008/09/09 22:58:11 UTC	(20080909_8-26066)
  Log:
  actually make that use BIO_new_file

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/09/09 22:19:14 UTC	(20080909_7-26064)
  Log:
  avoid using FILE with openssl as this causes openssl to need OPENSSL_applink on some platforms which is annoying

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/09/09 17:08:10 UTC	(20080909_6-26060)
  Log:
  those symbols don't exist..oops

  Modified:
	libratbox/trunk/src/export-syms.txt (File Modified) 


androsyn    2008/09/09 17:05:19 UTC	(20080909_5-26058)
  Log:
  move that down a little

  Modified:
	libratbox/trunk/src/unix.c (File Modified) 


androsyn    2008/09/09 16:47:03 UTC	(20080909_4-26052)
  Log:
  change ifdef WIN32 to _WIN32

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2008/09/09 16:40:19 UTC	(20080909_3-26048)
  Log:
  - Implement fd passing for win32 so that ssld will work on there.
  - Add a few symbols to the library for portability issues
  Note that this commit changes the API for rb_send_fd_buf as it now
  also takes a pid option as this is needed on windows. This process
  id should be the target process.  Note that unix will just ignore
  this.
  
  

  Modified:
	libratbox/trunk/Makefile.in (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/export-syms.txt (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2008/09/09 16:37:30 UTC	(20080909_2-26046)
  Log:
  pass libraries to LDFLAGS as well

  Modified:
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 


androsyn    2008/09/09 16:36:15 UTC	(20080909_1-26044)
  Log:
  make SSL_LIBS actually pass the path to the openssl libraries

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/09/09 14:40:41 UTC	(20080909_0-26036)
  Log:
  make that an ifdef

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/09/08 16:54:58 UTC	(20080908_1-26034)
  Log:
  add a datagram socketpair for platforms that don't have it..mostly based on what is in perl for this

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/09/08 16:53:53 UTC	(20080908_0-26032)
  Log:
  make rb_strerror be char instead of const char

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 


androsyn    2008/09/05 23:44:06 UTC	(20080905_1-26022)
  Log:
  fix the define of the fake rb_sockaddr_storage so that m4 does not eat up our [ ]

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/09/05 18:19:25 UTC	(20080905_0-26012)
  Log:
  revert part of r25994

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/09/04 21:43:03 UTC	(20080904_3-26008)
  Log:
  change hard asserts to call both the soft assert code and the C library assert so that it gets in the ircd log files as well

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 


androsyn    2008/09/04 19:32:55 UTC	(20080904_2-26000)
  Log:
  If somebody really wants to do profiling work..they can change rb_close_all the hard way. Also stop doing the weird stderr.log hack in libratbox let callers deal with stderr on their own

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/09/04 16:08:27 UTC	(20080904_1-25998)
  Log:
  add missing rb_strerror prototypes

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2008/09/04 15:06:21 UTC	(20080904_0-25994)
  Log:
  some portability cleanups

  Modified:
	libratbox/trunk/aclocal.m4 (File Modified) 
	libratbox/trunk/config.guess (File Modified) 
	libratbox/trunk/config.sub (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/arc4random.h (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/ltmain.sh (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/export-syms.txt (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2008/09/03 00:20:22 UTC	(20080903_0-25992)
  Log:
  change the event stuff to just strndup the event name

  Modified:
	libratbox/trunk/include/event-int.h (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2008/09/02 21:40:49 UTC	(20080902_0-25990)
  Log:
  fix makefile on bsd make

  Modified:
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 


androsyn    2008/09/01 05:00:31 UTC	(20080901_3-25984)
  Log:
  make extern not nested

  Modified:
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2008/09/01 04:59:19 UTC	(20080901_2-25982)
  Log:
  and add version.c.SH too

  Modified:
	libratbox/trunk/src/version.c.SH (File Added) 


androsyn    2008/09/01 04:58:51 UTC	(20080901_1-25980)
  Log:
  fix up version output stuff

  Modified:
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2008/09/01 04:50:17 UTC	(20080901_0-25978)
  Log:
  test commit

  Modified:
	libratbox/trunk/README (File Modified) 


androsyn    2008/09/01 03:18:34 UTC	(25975)
  Log:
  remove NOBALLOC code from linebuf.c and fill in the rb_bh_usage stuff for NOBALLOC

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 


androsyn    2008/09/01 03:12:32 UTC	(25973)
  Log:
  remove an #if 0

  Modified:
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2008/09/01 03:07:46 UTC	(25971)
  Log:
  change u_char to uint8_t

  Modified:
	libratbox/trunk/src/crypt.c (File Modified) 


androsyn    2008/08/27 19:28:26 UTC	(25963)
  Log:
  deal with rb_vsnprintf_append having a string passed to it that is longer than len, in such case we truncate the string..

  Modified:
	libratbox/trunk/src/snprintf.c (File Modified) 


androsyn    2008/08/27 14:59:09 UTC	(25961)
  Log:
  the way ev->name was assigned was pretty bogus and pretty much only worked because we always used strings that always were statically allocated in the executable.  fix this and do it correctly

  Modified:
	libratbox/trunk/include/event-int.h (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2008/08/25 19:19:35 UTC	(25955)
  Log:
  make that a %s instead of a %d

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/08/15 16:29:35 UTC	(25897)
  Log:
  order of operations in C can be a real bitch sometimes

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2008/08/14 18:23:23 UTC	(25885)
  Log:
  fix block heap garbage collection properly

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2008/08/12 15:43:58 UTC	(25871)
  Log:
  fix a crash in the rb_bh_gc code

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2008/08/06 19:51:44 UTC	(25861)
  Log:
  put back in the pad to even pointer boundaries stuff

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2008/08/06 19:30:25 UTC	(25859)
  Log:
  fix the block heap free code

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2008/08/06 19:14:38 UTC	(25857)
  Log:
  Fix a bug where we would get SIGBUS crashes when trying to use a long long.
  The problem was we were only aligning pointers to 4 bytes, which isn't good 
  enough for long long on sparc when using gcc 4.x.  Apparently gcc 3.x was more 
  tolerant of this.  This fixes it correctly.  
  
  

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2008/08/05 04:12:26 UTC	(25853)
  Log:
  fix a buffer overrun in the nossl case

  Modified:
	libratbox/trunk/src/nossl.c (File Modified) 


androsyn    2008/08/04 22:04:38 UTC	(25833)
  Log:
  make GET_SS_FAMILY use const and add a SET_SS_FAMILY macro. ircd fixes coming shortly

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 


androsyn    2008/07/29 15:26:55 UTC	(25795)
  Log:
  some sanity checks in the rb_open path

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/07/29 14:47:48 UTC	(25793)
  Log:
  pass new_F along to rb_ssl_accept_setup instead of the fd itself

  Modified:
	libratbox/trunk/include/commio-ssl.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/gnutls.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/07/28 23:14:29 UTC	(25791)
  Log:
  log if rb_open returns NULL on accept and close the fd..this shouldn't happen and the real cause needs to be found

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/07/11 18:21:57 UTC	(25705)
  Log:
  add a newline at the end of arc4random.c

  Modified:
	libratbox/trunk/src/arc4random.c (File Modified) 


androsyn    2008/07/10 18:34:03 UTC	(25699)
  Log:
  i'm doing good today..move the ifdefs down

  Modified:
	libratbox/trunk/src/arc4random.c (File Modified) 


androsyn    2008/07/10 18:32:34 UTC	(25697)
  Log:
  remove some debugging code

  Modified:
	libratbox/trunk/src/arc4random.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 


androsyn    2008/07/10 18:30:19 UTC	(25695)
  Log:
  add a missing ; and add arc4random.h too

  Modified:
	libratbox/trunk/include/arc4random.h (File Added) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/07/10 18:27:23 UTC	(25693)
  Log:
  forgot a prototype for rb_get_pseudo_random

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 


androsyn    2008/07/10 18:05:43 UTC	(25691)
  Log:
  fix a typo

  Modified:
	libratbox/trunk/src/nossl.c (File Modified) 


androsyn    2008/07/10 17:13:27 UTC	(25689)
  Log:
  - Add arc4random as a source for random bytes in the nossl.c case.
  - Add in a pseudo random source function as well. This is really only different on OpenSSL.
  
  

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/arc4random.c (File Added) 
	libratbox/trunk/src/export-syms.txt (File Modified) 
	libratbox/trunk/src/gnutls.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/07/06 18:57:15 UTC	(25683)
  Log:
  change a rb_uint8_t to uint8_t

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/07/06 05:15:22 UTC	(25681)
  Log:
  fix the socklen_t stuff

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 


androsyn    2008/07/06 04:33:03 UTC	(25679)
  Log:
  get rid of some testing code that snuck into the last commit

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/07/06 04:13:05 UTC	(25675)
  Log:
  remove the rb_uint/rb_int stuff as we require a C99 compiler and this is standard now.  Also add a better check for socklen_t

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/include/rb_linebuf.h (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/crypt.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 


androsyn    2008/07/06 03:10:23 UTC	(25673)
  Log:
  a few minor cleanups

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/06/24 14:04:50 UTC	(25588)
  Log:
  move some of the common accept code into a function

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/06/20 21:49:53 UTC	(25576)
  Log:
  rerun autoconf again

  Modified:
	libratbox/trunk/configure (File Modified) 


androsyn    2008/06/20 21:49:06 UTC	(25574)
  Log:
  enable Id tags on configure.ac

  Modified:
	libratbox/trunk/configure.ac (File Modified) (Property Modified)


jilles      2008/06/20 21:42:48 UTC	(25572)
  Log:
  Rerun autoconf.
  

  Modified:
	libratbox/trunk/configure (File Modified) 


jilles      2008/06/20 21:42:29 UTC	(25570)
  Log:
  Change == in test to =.
  

  Modified:
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/06/20 18:46:08 UTC	(25568)
  Log:
  add a missing commio-ssl.h include in gnutls.c

  Modified:
	libratbox/trunk/src/gnutls.c (File Modified) 


androsyn    2008/06/19 19:05:46 UTC	(25556)
  Log:
  don't load the certificate twice and remember to close the file after opening it

  Modified:
	libratbox/trunk/src/gnutls.c (File Modified) 


androsyn    2008/06/11 14:40:44 UTC	(25532)
  Log:
  All sorts of autotools goo for GNUTLS.  Partially based on nenolod's patch.
  

  Modified:
	libratbox/trunk/Makefile.in (File Modified) 
	libratbox/trunk/aclocal.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 


androsyn    2008/06/11 06:12:55 UTC	(25530)
  Log:
  first pass at gnutls code..

  Modified:
	libratbox/trunk/src/gnutls.c (File Added) 


jilles      2008/05/17 13:36:55 UTC	(25387)
  Log:
  Remove static inline symbols from export-syms.txt.
  These do not exist in the library and some platforms
  such as MacOS X don't like that.
  

  Modified:
	libratbox/trunk/src/export-syms.txt (File Modified) 


androsyn    2008/05/16 16:06:02 UTC	(25377)
  Log:
  fix a compile warning

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/05/16 15:19:51 UTC	(25375)
  Log:
  fix up the soft assert stuff for libratbox and rename likely/unlikely to rb_likely/rb_unlikely

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/include/rb_memory.h (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 
	libratbox/trunk/src/snprintf.c (File Modified) 


jilles      2008/05/14 17:55:22 UTC	(25364)
  Log:
  Fix a mistake in kqueue 'overflow' handling.
  If there is no space in the output buffer to report an
  error adding to the kqueue, kevent(2) will abort and
  return the error in errno (I was correct that it does
  not tell you where it failed). So do not abort the loop
  if kevent(2) fails and do not log (expected) EBADF.
  

  Modified:
	libratbox/trunk/src/kqueue.c (File Modified) 


androsyn    2008/05/13 14:48:46 UTC	(25358)
  Log:
  save connect errno so that we get a correct connect failure reason

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


jilles      2008/05/12 17:52:22 UTC	(25356)
  Log:
  Fix a possible crash with SSL connections closing early.
  

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


jilles      2008/05/12 16:51:54 UTC	(25354)
  Log:
  Fix kqueue sometimes dropping updates.
  (ircd wouldn't read or write anymore to certain clients)
  This happens because kqueue.c will often try to add
  already closed file descriptors to the kqueue. The kernel
  tries to report bad file descriptors in the eventlist; if
  the eventlist has no space, processing of the changelist
  is silently halted.
  The fix:
  1. allocate two kqlst things, one for what kqlst currently does 
  and one as output buffer
  this ensures the kevent(2) call in rb_select_kqueue() never 
  drops updates
  2. replace the kevent(2) call in kq_update_events() by a loop 
  that processes the updates one at a time
  that doesn't happen much, and it's the only way to be sure 
  without also getting events out of the queue we cannot process 
  at that time
  

  Modified:
	libratbox/trunk/src/kqueue.c (File Modified) 


androsyn    2008/05/08 19:32:13 UTC	(25327)
  Log:
  forgot prototypes and nossl versions of rb_ssl handshake stuff

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 


androsyn    2008/05/08 19:09:42 UTC	(25325)
  Log:
  keep track of the number of openssl handshakes and export rb_ssl_handshake_count and rb_ssl_clear_handshake_count

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/src/export-syms.txt (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/05/02 12:41:05 UTC	(25291)
  Log:
  fix build for bsd platforms with lack EVFILT_TIMER

  Modified:
	libratbox/trunk/src/kqueue.c (File Modified) 


androsyn    2008/04/21 18:38:23 UTC	(25245)
  Log:
  kill a process with SIGKILL when calling helper_close to be certain the process goes away

  Modified:
	libratbox/trunk/src/helper.c (File Modified) 


river       2008/04/16 20:33:35 UTC	(25235)
  Log:
  support for compiling on OpenVMS (untested)
  

  Modified:
	libratbox/trunk/include/libratbox_config.h_vms (File Added) 
	libratbox/trunk/src/descrip.mms (File Added) 
	libratbox/trunk/src/rawbuf.c (File Modified) 


androsyn    2008/04/16 20:11:37 UTC	(25233)
  Log:
  less than zero doesn't make sense for size_t

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


jilles      2008/04/13 16:19:04 UTC	(25229)
  Log:
  patricia: remove ugly abuse of K&R style function declaration
  It left the argument types unspecified in a function
  pointer, then called it using different numbers of
  arguments.
  

  Modified:
	libratbox/trunk/include/rb_patricia.h (File Modified) 
	libratbox/trunk/src/patricia.c (File Modified) 


jilles      2008/04/12 22:20:43 UTC	(25227)
  Log:
  Remove linebuf's per-line flushing flag, as it's per-head state.
  In rare cases, this sharing caused the ircd to skip
  part of outgoing traffic, e.g. appearing as "not enough
  parameters" errors on the other side.
  The purpose of this flag can be fulfilled by the writeofs
  in the bufhead.
  

  Modified:
	libratbox/trunk/include/rb_linebuf.h (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 


jilles      2008/04/12 14:30:19 UTC	(25225)
  Log:
  read/write return type should be ssize_t, not int or size_t.
  The writev emulation used size_t, which is unsigned,
  preventing negative values to be seen.
  

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


jilles      2008/04/11 08:48:21 UTC	(25223)
  Log:
  kqueue: also use EV_ONESHOT for read events
  This makes the kernel's state agree with our handler pointer.
  SSL may need to suspend selecting for reading to write
  something, e.g. with renegotiation.
  

  Modified:
	libratbox/trunk/src/kqueue.c (File Modified) 


jilles      2008/04/09 19:43:08 UTC	(25219)
  Log:
  Call the accept callback when timing out an SSL accept.
  The callback will close the F.
  

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


jilles      2008/04/09 19:26:04 UTC	(25217)
  Log:
  Fix up ssl_accept WANT_READ/WANT_WRITE a bit.
  Only select for the exact thing asked, and if
  SSL_ERROR_SYSCALL happens abort it even if the
  errno is "ignorable".
  

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


jilles      2008/04/05 19:09:32 UTC	(25205)
  Log:
  Fix SET_SS_LEN so that it also works correctly outside libratbox.
  Use RB_SOCKADDR_HAS_SA_LEN instead of SOCKADDR_IN_HAS_LEN
  which is only defined inside libratbox.
  This fixes creating own sockaddr structs in other programs
  using SET_SS_LEN, then passing them to libratbox, on
  4.4BSD based systems.
  

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 


androsyn    2008/04/04 18:43:29 UTC	(25203)
  Log:
  don't spin on accept when you don't get any data

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/04/01 22:05:38 UTC	(25197)
  Log:
  return useful errno values here

  Modified:
	libratbox/trunk/src/nossl.c (File Modified) 


jilles      2008/04/01 20:38:54 UTC	(25195)
  Log:
  Make this link without OpenSSL.
  Patch from nenolod.
  

  Modified:
	libratbox/trunk/src/nossl.c (File Modified) 


androsyn    2008/03/30 16:34:18 UTC	(25177)
  Log:
  Remove DISABLE_SSL_COMP stuff completely.  Force our outbound connections to use TLSv1

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/03/30 15:45:01 UTC	(25175)
  Log:
  remove that trailing 0 from the undef

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/03/30 15:04:05 UTC	(25173)
  Log:
  reenable openssl compression

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/03/28 17:19:12 UTC	(25151)
  Log:
  have rb_event_addonce return an ev_entry - get event.h too

  Modified:
	libratbox/trunk/include/rb_event.h (File Modified) 


androsyn    2008/03/28 17:17:51 UTC	(25149)
  Log:
  fix a compile error

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/03/28 17:15:47 UTC	(25147)
  Log:
  have rb_event_addonce return an ev_entry

  Modified:
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2008/03/27 18:24:58 UTC	(25145)
  Log:
  add some more get_last_err() calls, some of these might not be needed, but they don't hurt really either

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/03/27 18:14:01 UTC	(25143)
  Log:
  call get_last_err() after doing SSL_shutdown

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/03/17 13:04:36 UTC	(25137)
  Log:
  fix libssl detection on operating systems that don't automagically pull in dependant libraries

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/03/17 08:13:41 UTC	(25129)
  Log:
  add a stub rb_ssl_shutdown

  Modified:
	libratbox/trunk/src/nossl.c (File Modified) 


androsyn    2008/03/10 20:26:45 UTC	(25107)
  Log:
  only fclose(param) if we opened it successfully

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/02/25 17:36:12 UTC	(25091)
  Log:
  clear ssl comp for outbound connections too

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/02/20 17:35:47 UTC	(25083)
  Log:
  fix autoconf again..

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/02/20 17:22:00 UTC	(25081)
  Log:
  fix autoconf check for ssl libraries

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/01/28 21:05:30 UTC	(25050)
  Log:
  replace ERR_get_error calls with get_last_err which pops all errors off of the openssl error stack and returns the last one

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/01/23 18:34:02 UTC	(25048)
  Log:
  actually change ptrdiff_t to uintptr_t as that is what we really want

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2008/01/23 16:17:04 UTC	(25044)
  Log:
  missed a ptrdiff_t cast

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2008/01/23 16:14:08 UTC	(25042)
  Log:
  oops..lets try that again

  Modified:
	libratbox/trunk/include/rb_tools.h (File Modified) 


androsyn    2008/01/23 16:11:34 UTC	(25040)
  Log:
  some inline related cleanups

  Modified:
	libratbox/trunk/include/rb_tools.h (File Modified) 
	libratbox/trunk/src/export-syms.txt (File Modified) 
	libratbox/trunk/src/tools.c (File Modified) 


androsyn    2008/01/23 16:03:08 UTC	(25038)
  Log:
  - Use ptrdiff_t in a few places.
  - Move libratbox_config.h to be the first header included.
  
  

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/crypt.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/patricia.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/ports.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 
	libratbox/trunk/src/rb_memory.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 
	libratbox/trunk/src/snprintf.c (File Modified) 
	libratbox/trunk/src/tools.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2008/01/23 15:38:26 UTC	(25036)
  Log:
  remove int rc as it never gets used

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/01/23 15:36:02 UTC	(25034)
  Log:
  get rid of old_flags in sigio.c

  Modified:
	libratbox/trunk/src/sigio.c (File Modified) 


androsyn    2008/01/23 04:54:13 UTC	(25032)
  Log:
  replace u_short/u_char usage to unsigned short and unsigned char

  Modified:
	libratbox/trunk/include/rb_patricia.h (File Modified) 


androsyn    2008/01/23 04:01:19 UTC	(25026)
  Log:
  remove AC_PROG_CC check

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2008/01/23 03:54:00 UTC	(25022)
  Log:
  Okay.. its 2008.  Require a C99 capable compiler.  
  

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/rb_memory.h (File Modified) 
	libratbox/trunk/src/rb_memory.c (File Modified) 
	libratbox/trunk/src/snprintf.c (File Modified) 


androsyn    2008/01/23 03:10:15 UTC	(25018)
  Log:
  export return values for ssl related stuff

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 


androsyn    2008/01/23 00:23:20 UTC	(25016)
  Log:
  Enable SSL_MODE_ACCEPT_MOVING_WRITE_BUFFER in openssl.c

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/01/21 06:26:05 UTC	(25006)
  Log:
  close dh param file after opening it

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/01/21 06:05:04 UTC	(25002)
  Log:
  update sigio warning

  Modified:
	libratbox/trunk/src/sigio.c (File Modified) 


androsyn    2008/01/21 05:56:49 UTC	(25000)
  Log:
  - cleanup errno handling in epoll.c
  - make some fairly large buffers in signalfd_handler static rather than allocated off the static
  

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


androsyn    2008/01/21 04:37:08 UTC	(24998)
  Log:
  remove a pointless memset from rawbuf.c as the block heap memsets already

  Modified:
	libratbox/trunk/src/rawbuf.c (File Modified) 


androsyn    2008/01/20 20:32:37 UTC	(24988)
  Log:
  check that msg.msg_controllen > 0 when receiving fds.

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/01/20 19:41:04 UTC	(24980)
  Log:
  - fix a cast issue in execv
  - fix a shadowed variable in kqueue.c
  
  

  Modified:
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 


androsyn    2008/01/20 19:38:36 UTC	(24978)
  Log:
  wrap struct timer_data in USE_TIMER_CREATE

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 


androsyn    2008/01/16 14:51:07 UTC	(24962)
  Log:
  fix ifdefs in sigio.c

  Modified:
	libratbox/trunk/src/sigio.c (File Modified) 


androsyn    2008/01/14 20:45:16 UTC	(24942)
  Log:
  - Add support for sigio doing timed events as well..
  

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 


androsyn    2008/01/14 20:44:03 UTC	(24938)
  Log:
  add rb_helper_write_queue to the list of exported symbols

  Modified:
	libratbox/trunk/src/export-syms.txt (File Modified) 


androsyn    2008/01/14 20:43:23 UTC	(24936)
  Log:
  tweak the helper write code a bit

  Modified:
	libratbox/trunk/include/rb_helper.h (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 


androsyn    2008/01/14 18:17:39 UTC	(24934)
  Log:
  When using sigio, if we have a socket that is already set O_ASYNC, clear
  the O_ASYNC bit, fcntl() the flags without O_ASYNC and then re-register it.
  This clears out any old si_fd field that might exist from having the fd passed
  from another process.
  

  Modified:
	libratbox/trunk/src/sigio.c (File Modified) 


androsyn    2008/01/14 17:35:30 UTC	(24932)
  Log:
  actually revert that, going to do this differently

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/01/14 17:34:24 UTC	(24930)
  Log:
  set sockets nonblocking and the like when receving them

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2008/01/14 17:23:33 UTC	(24928)
  Log:
  some cleanups in the openssl code

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/01/14 01:16:00 UTC	(24926)
  Log:
  If delay == -1, pass NULL to kevent() for the timeout.
  

  Modified:
	libratbox/trunk/src/kqueue.c (File Modified) 


androsyn    2008/01/13 21:49:14 UTC	(24924)
  Log:
  fix a few things that the sparse warned about

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/rb_memory.c (File Modified) 


androsyn    2008/01/13 02:53:11 UTC	(24922)
  Log:
  work around a glibc header bug on 32bit systems and fix a prototype issue

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


androsyn    2008/01/13 02:51:16 UTC	(24920)
  Log:
  fix a thinko in kqueue.c as well

  Modified:
	libratbox/trunk/src/kqueue.c (File Modified) 


androsyn    2008/01/13 02:50:35 UTC	(24918)
  Log:
  add event-int.h to kqueue.c

  Modified:
	libratbox/trunk/src/kqueue.c (File Modified) 


androsyn    2008/01/11 00:01:14 UTC	(24880)
  Log:
  it seems that doing a readv from a signalfd socket is buggy

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


androsyn    2008/01/10 18:21:17 UTC	(24874)
  Log:
  abort if rb_restart == NULL or rb_die == NULL and we are called

  Modified:
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2008/01/10 16:33:54 UTC	(24866)
  Log:
   reconsidered having rb_ctime take a pointer to time_t, so just have it take a time_t like before

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2008/01/10 16:18:11 UTC	(24862)
  Log:
  - Tweak rb_ctime to take a size argument.
  - Tweak both rb_ctime and rb_date to take a time_t * instead of a time_t
  - Also modify rb_ctime to internally defined day and month names.
  

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2008/01/08 20:24:51 UTC	(24854)
  Log:
  hand ssl errors to the accept callback instead of closing the fd behind the callers back

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/01/03 19:42:17 UTC	(24840)
  Log:
  When the commio system isn't setup, add events like normal.  Once commio
  event processing is ready, add all scheduled events into it.
  
  

  Modified:
	libratbox/trunk/include/event-int.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2008/01/03 02:58:14 UTC	(24832)
  Log:
  forgot to commit commio-ssl.h

  Modified:
	libratbox/trunk/include/commio-ssl.h (File Modified) 


androsyn    2008/01/02 20:41:25 UTC	(24828)
  Log:
  oops move rb_supports_ssl to rb_commio.h

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 


androsyn    2008/01/02 20:40:10 UTC	(24826)
  Log:
  add prototype for rb_supports_ssl

  Modified:
	libratbox/trunk/include/commio-ssl.h (File Modified) 


androsyn    2008/01/02 19:56:27 UTC	(24824)
  Log:
  add rb_supports_ssl function to allow a caller to figure out if we support ssl or not

  Modified:
	libratbox/trunk/src/export-syms.txt (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/01/02 19:51:38 UTC	(24822)
  Log:
  add commio-ssl.h

  Modified:
	libratbox/trunk/include/commio-ssl.h (File Added) 


androsyn    2008/01/02 19:47:32 UTC	(24820)
  Log:
  tidy up openssl vs nossl code.
  

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2008/01/02 15:43:50 UTC	(24810)
  Log:
  forgot to add this

  Modified:
	libratbox/trunk/include/event-int.h (File Added) 


androsyn    2008/01/02 08:17:05 UTC	(24808)
  Log:
  - Add support for doing timers using the commio handlers.
  -- epoll currently sorta supports it if the system has both signalfd and timer_create support (tested on Linux 2.6.24-rc6 + glibc 2.7)
  -- kqueue supports it if EVFILT_TIMER is supported. (not tested yet)
    
  - Add a file called export-syms.txt that allows libtool to only export certain symbols in this list to the rest of the world.
    This keeps the internal commio functions and the like internal.
  
  

  Modified:
	libratbox/trunk/Makefile.in (File Modified) 
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/include/rb_event.h (File Modified) 
	libratbox/trunk/include/rb_helper.h (File Modified) 
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/export-syms.txt (File Added) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/ports.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2007/12/29 01:51:41 UTC	(24802)
  Log:
  fix some braindamage here

  Modified:
	libratbox/trunk/src/helper.c (File Modified) 


androsyn    2007/12/28 01:59:05 UTC	(24792)
  Log:
  macros + order of operations will eat your brains

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 


androsyn    2007/12/28 01:54:04 UTC	(24790)
  Log:
  okay must sleep now..after this stuff...

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 


androsyn    2007/12/28 01:50:46 UTC	(24788)
  Log:
  fix a thinko

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 


androsyn    2007/12/28 01:45:30 UTC	(24786)
  Log:
  get rid of a stale define

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 


androsyn    2007/12/28 00:36:41 UTC	(24784)
  Log:
  change fd hash a bit

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 


androsyn    2007/12/27 17:52:30 UTC	(24780)
  Log:
  forgot to merge in one diff

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2007/12/27 17:50:13 UTC	(24778)
  Log:
  Make the ssl read/write code a bit more sane and add some ways of exporting out ssl error codes.
  

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


jilles      2007/12/26 16:37:43 UTC	(24776)
  Log:
  Fix type checking on file descriptor being received over socket.
  

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/12/26 03:56:52 UTC	(24774)
  Log:
  make balloc.c use rb_uintptr_t

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2007/12/26 02:32:07 UTC	(24772)
  Log:
  have the fd handling code try to figure out what type of file descriptor the passed socket is

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/12/26 01:13:59 UTC	(24770)
  Log:
  change return/input type to rb_get/set_type

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/12/25 23:29:41 UTC	(24768)
  Log:
  reorder the _fde struct and get rid of some unused RB_FD flags

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/rb_commio.h (File Modified) 


androsyn    2007/12/25 20:50:16 UTC	(24766)
  Log:
  move FD types back into rb_commio.h a few things do need them

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/rb_commio.h (File Modified) 


androsyn    2007/12/25 20:25:12 UTC	(24762)
  Log:
  get rid of an unused variable

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/12/25 20:23:18 UTC	(24760)
  Log:
  Tidy up some commio flag related things and make the struct a bit smaller by dynamically allocating
  the F->desc field.
  
  

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/ports.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2007/12/20 18:22:40 UTC	(24752)
  Log:
  Fix a really stupid off by one error when using linebuf_get in raw mode.  Also add the \0 regardless if the buffer is raw or not.
  This bug has been hanging around for about 6 years.
  
  

  Modified:
	libratbox/trunk/src/linebuf.c (File Modified) 


androsyn    2007/12/17 18:43:17 UTC	(24721)
  Log:
  make balloc.c compile with --enable-warnings --disable-balloc

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2007/12/11 17:53:17 UTC	(24693)
  Log:
  another openssl related tweak

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 


androsyn    2007/12/10 19:24:09 UTC	(24679)
  Log:
  replace the snprintf implementation with the one from the linux kernel as this is a fair bit faster than our current one, it also doesn't need to fallback to the system snprintf, though it doesn't handle floating point..oh well..

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/rb_tools.h (File Modified) 
	libratbox/trunk/src/snprintf.c (File Modified) 
	libratbox/trunk/src/tools.c (File Modified) 


androsyn    2007/12/10 19:15:41 UTC	(24677)
  Log:
  get rid of the dlink node too

  Modified:
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2007/12/10 19:15:19 UTC	(24675)
  Log:
  get rid of bogus ev = ptr->data stuff

  Modified:
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2007/11/28 19:35:34 UTC	(24637)
  Log:
  turn on DISABLE_SSL_COMP

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2007/11/26 20:30:59 UTC	(24615)
  Log:
  meh..just return the revision

  Modified:
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/11/26 20:20:12 UTC	(24613)
  Log:
  actually Rev makes more sense here

  Modified:
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/11/26 20:19:24 UTC	(24611)
  Log:
  fix id tag

  Modified:
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/11/26 20:18:12 UTC	(24609)
  Log:
  forgot to commit ratbox_lib.h

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 


androsyn    2007/11/26 20:09:05 UTC	(24607)
  Log:
  add rb_lib_version

  Modified:
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/11/26 20:01:07 UTC	(24605)
  Log:
  have helpers replace fds 0-2 with /dev/null

  Modified:
	libratbox/trunk/src/helper.c (File Modified) 


androsyn    2007/11/19 17:14:40 UTC	(24551)
  Log:
  missed an IPV6 to RB_IPV6 change

  Modified:
	libratbox/trunk/include/rb_patricia.h (File Modified) 


androsyn    2007/11/19 17:13:31 UTC	(24549)
  Log:
  add ctype.h to ratbox_lib.h

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 


androsyn    2007/11/19 17:04:32 UTC	(24547)
  Log:
  add some autoconf goop for better detecting ipv6 and change the IPV6 define to RB_IPV6

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/patricia.c (File Modified) 


jilles      2007/11/17 15:35:48 UTC	(24543)
  Log:
  Fix 100% cpu usage after certain SSL errors.
  One way to trigger this was to telnet (non-SSL) to an
  SSL port, then close the connection.
  

  Modified:
	libratbox/trunk/src/openssl.c (File Modified) 


jilles      2007/11/17 14:50:14 UTC	(24541)
  Log:
  Avoid crash in a certain case where the sending process died.
  Apparently CMSG_FIRSTHDR returns NULL in certain cases
  where the sending process died and the file descriptors
  are not available.
  

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/11/15 19:44:57 UTC	(24525)
  Log:
  add rb_ssl_start_connected with ssld in ratbox needs

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2007/11/13 19:48:49 UTC	(24505)
  Log:
  fix minor bug in rb_send_fd_buf

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/11/08 16:18:17 UTC	(24477)
  Log:
  change rb_lib_init not to init linebufs as not everything will likely need linebufs

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/11/06 17:26:57 UTC	(24459)
  Log:
  add rb_get_type and rb_set_type

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/11/05 17:15:41 UTC	(24451)
  Log:
  set rb_pipe fds non blocking by default

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/11/02 17:32:00 UTC	(24439)
  Log:
  add rb_ssl_start_accepted

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 


androsyn    2007/10/24 15:49:39 UTC	(24434)
  Log:
  tweak the fd passing stuff to pass more than one fd if needed

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/10/23 20:28:27 UTC	(24426)
  Log:
  rename patricia.h to rb_patricia.h and add it to ratbox_lib.h

  Modified:
	libratbox/trunk/include/patricia.h (File Deleted) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/include/rb_patricia.h (File Added) 
	libratbox/trunk/src/patricia.c (File Modified) 


androsyn    2007/10/23 20:26:01 UTC	(24424)
  Log:
  Add patricia.c to libratbox
  

  Modified:
	libratbox/trunk/include/patricia.h (File Added) 
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/patricia.c (File Added) 


androsyn    2007/10/23 18:30:20 UTC	(24422)
  Log:
  deal with not having a ancillary message

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/10/22 20:42:11 UTC	(24420)
  Log:
  add some functions to pass fds back and forth over unix sockets

  Modified:
	libratbox/trunk/include/rb_commio.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/09/05 02:34:21 UTC	(24384)
  Log:
  fix event_time_min stuff to actually work right

  Modified:
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/09/05 01:49:21 UTC	(24382)
  Log:
  move up the first rb_set_time()

  Modified:
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/09/04 22:08:54 UTC	(24380)
  Log:
  Rerun libtoolize and get newer versions of libtool

  Modified:
	libratbox/trunk/config.guess (File Modified) 
	libratbox/trunk/config.sub (File Modified) 
	libratbox/trunk/ltmain.sh (File Modified) 


androsyn    2007/09/04 19:34:44 UTC	(24374)
  Log:
  make the WIN32_LEAN_AND_MEAN stuff actually go into outfile

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2007/09/04 19:30:58 UTC	(24372)
  Log:
  rebuild makefiles with automake 1.10

  Modified:
	libratbox/trunk/Makefile.in (File Modified) 
	libratbox/trunk/aclocal.m4 (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 


androsyn    2007/09/04 17:54:44 UTC	(24354)
  Log:
  add limits.h

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 


androsyn    2007/09/04 17:23:20 UTC	(24352)
  Log:
  remove unused variable

  Modified:
	libratbox/trunk/src/kqueue.c (File Modified) 


androsyn    2007/09/04 17:18:49 UTC	(24350)
  Log:
  tweak compile flags for interix

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2007/09/04 17:09:40 UTC	(24348)
  Log:
  damn caps

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2007/09/04 17:05:14 UTC	(24346)
  Log:
  define all_source for a platform that needs it :/

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2007/09/04 17:00:09 UTC	(24342)
  Log:
  some minor header tweaks

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2007/09/04 16:49:33 UTC	(24340)
  Log:
  add arpa/inet.h check

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 


androsyn    2007/09/01 01:53:03 UTC	(24326)
  Log:
  link against libcrypto as well as libssl 

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2007/08/31 22:05:45 UTC	(24324)
  Log:
  some header tweaks and renames

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/balloc.h (File Deleted) 
	libratbox/trunk/include/commio.h (File Deleted) 
	libratbox/trunk/include/event.h (File Deleted) 
	libratbox/trunk/include/helper.h (File Deleted) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/linebuf.h (File Deleted) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/include/rawbuf.h (File Deleted) 
	libratbox/trunk/include/rb_balloc.h (File Added) 
	libratbox/trunk/include/rb_commio.h (File Added) 
	libratbox/trunk/include/rb_event.h (File Added) 
	libratbox/trunk/include/rb_helper.h (File Added) 
	libratbox/trunk/include/rb_linebuf.h (File Added) 
	libratbox/trunk/include/rb_rawbuf.h (File Added) 
	libratbox/trunk/include/rb_snprintf.h (File Added) 
	libratbox/trunk/include/rb_tools.h (File Added) 
	libratbox/trunk/include/snprintf.h (File Deleted) 
	libratbox/trunk/include/tools.h (File Deleted) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/crypt.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/ports.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 
	libratbox/trunk/src/rb_memory.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 
	libratbox/trunk/src/snprintf.c (File Modified) 
	libratbox/trunk/src/tools.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2007/08/31 21:48:41 UTC	(24322)
  Log:
  actually get rid of the posix_c_source stuff for now..

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 


androsyn    2007/08/31 15:10:15 UTC	(24320)
  Log:
  move the rb_event_run() call until after rb_select

  Modified:
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/08/31 14:48:03 UTC	(24318)
  Log:
  i don't think these rb_set_times() are needed here

  Modified:
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2007/08/31 03:26:15 UTC	(24316)
  Log:
  make the rb_lib_loop not blow up when next = 0

  Modified:
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/08/31 02:08:52 UTC	(24314)
  Log:
  tweak the event code a little bit more

  Modified:
	libratbox/trunk/include/event.h (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/08/31 01:47:38 UTC	(24312)
  Log:
  set rb_timeout_ev to NULL after doing rb_event_delete

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/08/31 01:21:42 UTC	(24308)
  Log:
  tweak some of the event stuff

  Modified:
	libratbox/trunk/include/event.h (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 


androsyn    2007/08/30 20:35:13 UTC	(24304)
  Log:
  make sure event_time_min is updated when rescheduling events.  Also if rb_lib_loop is passed zero for a delay, just delay until the next event needs to be run

  Modified:
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 


androsyn    2007/08/30 20:00:06 UTC	(24302)
  Log:
  add rb_event_next to get the time when the next event should run

  Modified:
	libratbox/trunk/include/event.h (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2007/08/30 19:29:48 UTC	(24300)
  Log:
  make it build again

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 


androsyn    2007/08/30 19:15:10 UTC	(24298)
  Log:
  fix a few more autoconf things

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/08/30 18:55:22 UTC	(24296)
  Log:
  fix the intptr/intmax checks

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 


androsyn    2007/08/30 16:57:59 UTC	(24294)
  Log:
  generate a header file that can be installed with the library that isn't the standard autoconf header so we don't clash

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/commio.h (File Modified) 
	libratbox/trunk/include/linebuf.h (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/include/rb_memory.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/crypt.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 


androsyn    2007/08/29 20:16:46 UTC	(24292)
  Log:
  put epoll info into a struct

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 


androsyn    2007/08/29 20:16:18 UTC	(24290)
  Log:
  make heap_lists be malloced

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 


androsyn    2007/08/29 19:49:43 UTC	(24288)
  Log:
  remove some unneeded macros from acinclude.m4

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 


androsyn    2007/08/29 19:47:49 UTC	(24286)
  Log:
  More portablity cleanups with autoconf and other things
  

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/crypt.c (File Modified) 


androsyn    2007/08/29 17:54:50 UTC	(24284)
  Log:
  Make the detection of intXX_t types work a bit better
  

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/aclocal.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 


androsyn    2007/08/27 19:29:16 UTC	(24282)
  Log:
  fix some minor issues in acinclude.m4

  Modified:
	libratbox/trunk/acinclude.m4 (File Modified) 
	libratbox/trunk/configure (File Modified) 


androsyn    2007/08/27 19:25:53 UTC	(24280)
  Log:
  move struct msghdr msg into the HAVE_SENDMSG ifdef too

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/08/27 19:18:19 UTC	(24278)
  Log:
  deal with platforms not having sendmsg

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/08/27 19:12:20 UTC	(24276)
  Log:
  change strcasecmp to strcmp

  Modified:
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/08/27 04:00:24 UTC	(24272)
  Log:
  s/ignoreErrno/rb_ignore_errno/g

  Modified:
	libratbox/trunk/include/commio.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 


androsyn    2007/08/23 23:55:44 UTC	(24270)
  Log:
  change a few cases of ircd-ratbox to libratbox

  Modified:
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 


androsyn    2007/08/23 23:46:25 UTC	(24268)
  Log:
  Change IRCD_PREFIX to RB_PREFIX

  Modified:
	libratbox/trunk/Makefile.in (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/libratbox_config.h.in (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 


androsyn    2007/08/23 23:38:03 UTC	(24266)
  Log:
  change some defines and what not from IRCD_ to RB_

  Modified:
	libratbox/trunk/include/balloc.h (File Modified) 
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/commio.h (File Modified) 
	libratbox/trunk/include/event.h (File Modified) 
	libratbox/trunk/include/helper.h (File Modified) 
	libratbox/trunk/include/linebuf.h (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/include/rawbuf.h (File Modified) 
	libratbox/trunk/include/rb_memory.h (File Modified) 
	libratbox/trunk/include/snprintf.h (File Modified) 
	libratbox/trunk/include/tools.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/ports.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2007/08/23 22:54:04 UTC	(24264)
  Log:
  don't export rb_event_find

  Modified:
	libratbox/trunk/include/event.h (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 


androsyn    2007/08/23 17:45:02 UTC	(24262)
  Log:
  - Fix poll and sigio not to be some braindamaged i think.
  - Actually update the rawbuf length left when using rawbuf flush.
  - Fix some openssl issues with accepting connections
  

  Modified:
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 


androsyn    2007/08/23 15:11:18 UTC	(24258)
  Log:
  fix rb_rb_dlink_list_length calls

  Modified:
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 


androsyn    2007/08/23 15:08:42 UTC	(24256)
  Log:
  doubled rb by accident on rb_dlink_list_length

  Modified:
	libratbox/trunk/include/tools.h (File Modified) 


androsyn    2007/08/23 01:20:13 UTC	(24254)
  Log:
  change __MINGW32__ ifdefs to WIN32 and so on

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/commio.h (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2007/08/23 01:16:21 UTC	(24252)
  Log:
  make things compile with mingw32 again

  Modified:
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2007/08/22 19:11:55 UTC	(24248)
  Log:
  rename ircd_memory.c to rb_memory.c

  Modified:
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/ircd_memory.c (File Deleted) 
	libratbox/trunk/src/rb_memory.c (File Added) 


androsyn    2007/08/22 19:10:33 UTC	(24246)
  Log:
  rename dlink_* to rb_dlink_ and so on

  Modified:
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/linebuf.h (File Modified) 
	libratbox/trunk/include/tools.h (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 
	libratbox/trunk/src/tools.c (File Modified) 


androsyn    2007/08/22 18:44:30 UTC	(24242)
  Log:
  rename functions from ircd_ to rb_

  Modified:
	libratbox/trunk/include/balloc.h (File Modified) 
	libratbox/trunk/include/commio-int.h (File Modified) 
	libratbox/trunk/include/commio.h (File Modified) 
	libratbox/trunk/include/event.h (File Modified) 
	libratbox/trunk/include/helper.h (File Modified) 
	libratbox/trunk/include/ircd_memory.h (File Deleted) 
	libratbox/trunk/include/linebuf.h (File Modified) 
	libratbox/trunk/include/ratbox_lib.h (File Modified) 
	libratbox/trunk/include/rawbuf.h (File Modified) 
	libratbox/trunk/include/rb_memory.h (File Added) 
	libratbox/trunk/include/snprintf.h (File Modified) 
	libratbox/trunk/include/tools.h (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/crypt.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/ircd_memory.c (File Modified) 
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 
	libratbox/trunk/src/nossl.c (File Modified) 
	libratbox/trunk/src/openssl.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/ports.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Modified) 
	libratbox/trunk/src/rawbuf.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 
	libratbox/trunk/src/snprintf.c (File Modified) 
	libratbox/trunk/src/tools.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2007/08/22 18:39:41 UTC	(24240)
  Log:
  deal with some of the s/libircd/libratbox/ name changes

  Modified:
	libratbox/trunk/Makefile.in (File Modified) 
	libratbox/trunk/configure (File Modified) 
	libratbox/trunk/configure.ac (File Modified) 
	libratbox/trunk/include/ircd_lib.h (File Deleted) 
	libratbox/trunk/include/libircd_config.h.in (File Deleted) 
	libratbox/trunk/include/libratbox_config.h.in (File Added) 
	libratbox/trunk/include/ratbox_lib.h (File Added) 
	libratbox/trunk/src/Makefile.am (File Modified) 
	libratbox/trunk/src/Makefile.in (File Modified) 
	libratbox/trunk/src/balloc.c (File Modified) 
	libratbox/trunk/src/commio.c (File Modified) 
	libratbox/trunk/src/crypt.c (File Modified) 
	libratbox/trunk/src/devpoll.c (File Modified) 
	libratbox/trunk/src/epoll.c (File Modified) 
	libratbox/trunk/src/event.c (File Modified) 
	libratbox/trunk/src/helper.c (File Modified) 
	libratbox/trunk/src/ircd_lib.c (File Deleted) 
	libratbox/trunk/src/ircd_memory.c (File Modified) 
	libratbox/trunk/src/kqueue.c (File Modified) 
	libratbox/trunk/src/linebuf.c (File Modified) 
	libratbox/trunk/src/poll.c (File Modified) 
	libratbox/trunk/src/ports.c (File Modified) 
	libratbox/trunk/src/ratbox_lib.c (File Added) 
	libratbox/trunk/src/rawbuf.c (File Modified) 
	libratbox/trunk/src/select.c (File Modified) 
	libratbox/trunk/src/sigio.c (File Modified) 
	libratbox/trunk/src/snprintf.c (File Modified) 
	libratbox/trunk/src/tools.c (File Modified) 
	libratbox/trunk/src/unix.c (File Modified) 
	libratbox/trunk/src/win32.c (File Modified) 


androsyn    2007/08/22 01:29:24 UTC	(24237)
  Log:
  Don't free fde_t's until after the poll loops have finished

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/08/21 18:53:10 UTC	(24233)
  Log:
  make ircd_get_sockerr use ircd_fde_t as well

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/08/21 18:45:08 UTC	(24231)
  Log:
  tweak ircd_set_buffers

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/08/21 18:28:05 UTC	(24229)
  Log:
  add santy checking to ircd_get_fd

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/08/21 18:24:36 UTC	(24227)
  Log:
  add ircd_get_fde

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/08/21 18:18:16 UTC	(24225)
  Log:
  remove some crufty code in helper.c

  Modified:
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2007/08/21 18:13:55 UTC	(24223)
  Log:
  rename fde_t to ircd_fde_t

  Modified:
	libircd/trunk/include/commio-int.h (File Modified) 
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/include/linebuf.h (File Modified) 
	libircd/trunk/include/rawbuf.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/devpoll.c (File Modified) 
	libircd/trunk/src/epoll.c (File Modified) 
	libircd/trunk/src/helper.c (File Modified) 
	libircd/trunk/src/kqueue.c (File Modified) 
	libircd/trunk/src/linebuf.c (File Modified) 
	libircd/trunk/src/openssl.c (File Modified) 
	libircd/trunk/src/poll.c (File Modified) 
	libircd/trunk/src/ports.c (File Modified) 
	libircd/trunk/src/rawbuf.c (File Modified) 
	libircd/trunk/src/select.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 
	libircd/trunk/src/win32.c (File Modified) 


androsyn    2007/08/21 17:58:34 UTC	(24221)
  Log:
  make commio functions take an fde_t instead of a fd, this saves a lot of looking up of fds from the fd hash..now i've just got to fix a bunch of code

  Modified:
	libircd/trunk/include/commio-int.h (File Modified) 
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/include/linebuf.h (File Modified) 
	libircd/trunk/include/rawbuf.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/devpoll.c (File Modified) 
	libircd/trunk/src/epoll.c (File Modified) 
	libircd/trunk/src/helper.c (File Modified) 
	libircd/trunk/src/kqueue.c (File Modified) 
	libircd/trunk/src/linebuf.c (File Modified) 
	libircd/trunk/src/openssl.c (File Modified) 
	libircd/trunk/src/poll.c (File Modified) 
	libircd/trunk/src/ports.c (File Modified) 
	libircd/trunk/src/rawbuf.c (File Modified) 
	libircd/trunk/src/select.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 
	libircd/trunk/src/win32.c (File Modified) 


androsyn    2007/08/15 17:06:59 UTC	(24211)
  Log:
  cleanup the fde_t struct a bit so that accept and connect data are only allocated as needed

  Modified:
	libircd/trunk/include/commio-int.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/openssl.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 


androsyn    2007/08/15 16:07:57 UTC	(24209)
  Log:
  remove some warnings

  Modified:
	libircd/trunk/include/commio-int.h (File Modified) 


androsyn    2007/08/15 16:06:31 UTC	(24207)
  Log:
  move UIO_MAXIOV stuff to commio-int.h

  Modified:
	libircd/trunk/include/commio-int.h (File Modified) 
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/linebuf.c (File Modified) 
	libircd/trunk/src/rawbuf.c (File Modified) 


androsyn    2007/08/15 02:16:03 UTC	(24205)
  Log:
  fix error message

  Modified:
	libircd/trunk/include/rawbuf.h (File Modified) 


androsyn    2007/08/13 18:56:55 UTC	(24203)
  Log:
  cleanup time handling a bit

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/src/ircd_lib.c (File Modified) 


androsyn    2007/08/13 18:41:03 UTC	(24199)
  Log:
  remove pointless crypt prototype from ircd_lib.h

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 


androsyn    2007/08/13 18:08:44 UTC	(24195)
  Log:
  remove ircd_currenttime macro and friends and just use the function call

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/event.c (File Modified) 


androsyn    2007/08/13 18:06:14 UTC	(24193)
  Log:
  add ircd_lib_loop

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/src/ircd_lib.c (File Modified) 


androsyn    2007/08/10 23:06:48 UTC	(24191)
  Log:
  tweak some of rawbufs data types a bit

  Modified:
	libircd/trunk/include/rawbuf.h (File Modified) 
	libircd/trunk/src/rawbuf.c (File Modified) 


androsyn    2007/08/10 02:07:22 UTC	(24189)
  Log:
  remove memmove call in rawbuf.c

  Modified:
	libircd/trunk/src/rawbuf.c (File Modified) 


androsyn    2007/08/06 20:23:06 UTC	(24187)
  Log:
  make ircd_free_rawbuffer free all buffers associated with the head

  Modified:
	libircd/trunk/src/rawbuf.c (File Modified) 


androsyn    2007/08/06 17:33:37 UTC	(24185)
  Log:
  fixed a bug where we passed the helpers sendq instead of the helper itself to ircd_helper_write_sendq

  Modified:
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2007/08/06 17:30:54 UTC	(24183)
  Log:
  fix a minor buglet in ircd_rawbuf_get and add ircd_rawbuf_length

  Modified:
	libircd/trunk/include/rawbuf.h (File Modified) 
	libircd/trunk/src/rawbuf.c (File Modified) 


androsyn    2007/08/06 17:07:09 UTC	(24181)
  Log:
  add rawbuf.c and rawbuf.h, this implements a buffering system similiar to linebuf.c but no reference counting and is 8bit clean

  Modified:
	libircd/trunk/Makefile.in (File Modified) 
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/include/rawbuf.h (File Added) 
	libircd/trunk/src/Makefile.am (File Modified) 
	libircd/trunk/src/Makefile.in (File Modified) 
	libircd/trunk/src/rawbuf.c (File Added) 


androsyn    2007/08/06 13:18:20 UTC	(24179)
  Log:
  tidy up the _buf_line struct a bit

  Modified:
	libircd/trunk/include/linebuf.h (File Modified) 


jilles      2007/07/31 21:07:15 UTC	(24135)
  Log:
  Fix kqueue and devpoll for r24007.
  

  Modified:
	libircd/trunk/src/devpoll.c (File Modified) 
	libircd/trunk/src/kqueue.c (File Modified) 


androsyn    2007/07/26 16:09:58 UTC	(24117)
  Log:
  if we call the helper_restart function, we need to return immediately

  Modified:
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2007/07/26 14:35:22 UTC	(24115)
  Log:
  sanity check in ircd_ssl_shutdown

  Modified:
	libircd/trunk/src/openssl.c (File Modified) 


androsyn    2007/07/25 23:44:09 UTC	(24111)
  Log:
  fix dhparam handling

  Modified:
	libircd/trunk/src/openssl.c (File Modified) 


androsyn    2007/07/25 20:06:10 UTC	(24109)
  Log:
  change return value

  Modified:
	libircd/trunk/src/nossl.c (File Modified) 


androsyn    2007/07/25 20:04:45 UTC	(24107)
  Log:
  check for errors when loading keyfiles and the like

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/nossl.c (File Modified) 
	libircd/trunk/src/openssl.c (File Modified) 


androsyn    2007/07/25 19:17:27 UTC	(24103)
  Log:
  add a prototype for ircd_get_random

  Modified:
	libircd/trunk/include/commio.h (File Modified) 


androsyn    2007/07/25 19:13:50 UTC	(24101)
  Log:
  add ircd_get_random

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/nossl.c (File Modified) 
	libircd/trunk/src/openssl.c (File Modified) 


androsyn    2007/07/25 17:52:33 UTC	(24099)
  Log:
  missed a commit

  Modified:
	libircd/trunk/include/commio.h (File Modified) 


androsyn    2007/07/25 17:52:14 UTC	(24097)
  Log:
  dont use writev on ssl sockets as its rather pointless

  Modified:
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/linebuf.c (File Modified) 


androsyn    2007/07/25 16:19:02 UTC	(24091)
  Log:
  remove ircd_slow_list_length and LIST_SANITY_CHECK

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/include/tools.h (File Modified) 
	libircd/trunk/src/tools.c (File Modified) 


androsyn    2007/07/25 16:10:07 UTC	(24089)
  Log:
  the libircd_abi stuff is no longer needed as we end up having the same size irc_sockaddr_storage regardless now

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Modified) 
	libircd/trunk/include/libircd_abi.h.in (File Deleted) 


androsyn    2007/07/25 15:50:00 UTC	(24085)
  Log:
  add a GET_SS_FAMILY macro

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 


androsyn    2007/07/25 15:45:24 UTC	(24083)
  Log:
  do some hackishness to make SET_SS_LEN compile issues get tripped up on platforms that don't need it

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/25 15:35:12 UTC	(24081)
  Log:
  uncondtionally make irc_sockaddr_storage 128 bytes. Tweak some of the macros relating to sockaddr_storage as well

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Modified) 
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/25 15:15:41 UTC	(24079)
  Log:
   - Remove timeout handler once we are ready to handoff the SSL connection to the callback.
   - Disable SSLv2 incoming connection support as these are widely accepted to be insecure.
   - Add an ifdef if we want to disable compression support in openssl
  
  

  Modified:
	libircd/trunk/src/openssl.c (File Modified) 


androsyn    2007/07/25 02:43:50 UTC	(24075)
  Log:
  Split client and server ssl contexts.
  Fix a minor compile error with ipv6
  
  

  Modified:
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/openssl.c (File Modified) 


androsyn    2007/07/24 20:26:03 UTC	(24073)
  Log:
  case the void * ->ssl member to SSL * where necessary

  Modified:
	libircd/trunk/src/openssl.c (File Modified) 


androsyn    2007/07/24 19:18:15 UTC	(24071)
  Log:
  remove a debugging fprintf

  Modified:
	libircd/trunk/src/openssl.c (File Modified) 


androsyn    2007/07/24 19:09:40 UTC	(24069)
  Log:
  add outbound ssl connect code

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/openssl.c (File Modified) 


androsyn    2007/07/24 17:55:17 UTC	(24061)
  Log:
  move a bunch of commio.h things into commio-int.h which doesn't get included by users of the library

  Modified:
	libircd/trunk/include/commio-int.h (File Added) 
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/devpoll.c (File Modified) 
	libircd/trunk/src/epoll.c (File Modified) 
	libircd/trunk/src/helper.c (File Modified) 
	libircd/trunk/src/kqueue.c (File Modified) 
	libircd/trunk/src/poll.c (File Modified) 
	libircd/trunk/src/ports.c (File Modified) 
	libircd/trunk/src/select.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 
	libircd/trunk/src/win32.c (File Modified) 


androsyn    2007/07/24 17:25:41 UTC	(24059)
  Log:
  various prototype cleanups and the like

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/include/tools.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/tools.c (File Modified) 
	libircd/trunk/src/unix.c (File Modified) 


androsyn    2007/07/24 17:19:38 UTC	(24057)
  Log:
  add prototype for ircd_crypt

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 


androsyn    2007/07/24 17:12:40 UTC	(24055)
  Log:
  Move openssl functions into openssl.c 
  Add a nossl.c wrapper to keep functions that are exported to maintain the ABI.
  
  
  

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/nossl.c (File Added) 
	libircd/trunk/src/openssl.c (File Added) 


androsyn    2007/07/24 16:12:13 UTC	(24051)
  Log:
  its helpful when your helper loop actually loops

  Modified:
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2007/07/24 15:57:08 UTC	(24049)
  Log:
  Do openssl detection in autoconf and wrap the ssl code in ifdefs
  

  Modified:
	libircd/trunk/Makefile.in (File Modified) 
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Modified) 
	libircd/trunk/include/libircd_config.h.in (File Modified) 
	libircd/trunk/src/Makefile.am (File Modified) 
	libircd/trunk/src/Makefile.in (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/24 15:08:34 UTC	(24047)
  Log:
  forgot to rename ircd_helper_read

  Modified:
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2007/07/24 15:06:15 UTC	(24045)
  Log:
  tweak the helper read api a bit

  Modified:
	libircd/trunk/include/helper.h (File Modified) 
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2007/07/24 14:58:05 UTC	(24043)
  Log:
  change ircd_helper_read to take a ircd_helper pointer.  Add an ircd_helper_loop() function as well

  Modified:
	libircd/trunk/include/helper.h (File Modified) 
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2007/07/24 14:49:26 UTC	(24041)
  Log:
  do printf format checking on ircd_helper_write

  Modified:
	libircd/trunk/include/helper.h (File Modified) 


androsyn    2007/07/24 03:37:24 UTC	(24039)
  Log:
  move struct _ircd_helper defintion to helper.c leaving just forward declarations in helper.h

  Modified:
	libircd/trunk/include/helper.h (File Modified) 
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2007/07/24 03:25:03 UTC	(24037)
  Log:
  move some struct definitions into balloc.c out of balloc.h

  Modified:
	libircd/trunk/include/balloc.h (File Modified) 
	libircd/trunk/src/balloc.c (File Modified) 


androsyn    2007/07/24 03:21:09 UTC	(24035)
  Log:
  move struct ev_entry to event.c

  Modified:
	libircd/trunk/include/event.h (File Modified) 
	libircd/trunk/src/event.c (File Modified) 


androsyn    2007/07/23 19:02:51 UTC	(24033)
  Log:
  get rid of this break that was breaking stuff

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/20 17:39:33 UTC	(24031)
  Log:
  add a missing semicolon

  Modified:
	libircd/trunk/include/commio.h (File Modified) 


androsyn    2007/07/20 17:38:39 UTC	(24029)
  Log:
  add check for a missing pre callback
  add missing prototypes
  reduce ssl accept timeout to 10 seconds
  

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/20 15:31:11 UTC	(24025)
  Log:
  initialize the type variable earlier

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/20 15:28:45 UTC	(24023)
  Log:
  remove an unused variable

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/20 15:26:05 UTC	(24021)
  Log:
  oops. don't ircd_open a file handle twice

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/20 15:09:36 UTC	(24019)
  Log:
  add missing ircd_accept_tcp prototype

  Modified:
	libircd/trunk/include/commio.h (File Modified) 


androsyn    2007/07/20 15:07:47 UTC	(24017)
  Log:
  slightly change the ACPRE callback again

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/20 15:04:40 UTC	(24015)
  Log:
  slightly change the ACPRE callback

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/20 14:47:32 UTC	(24009)
  Log:
  Add an accept pre-callback to so that we can do things like dline/reject cache processing early

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2007/07/20 14:32:24 UTC	(24007)
  Log:
  Change FD_* enums into a bitmask called IRCD_FD

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/epoll.c (File Modified) 
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2007/07/20 03:01:32 UTC	(24005)
  Log:
  first part of my currently busted ssl/tls code

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/epoll.c (File Modified) 


androsyn    2007/07/20 02:58:45 UTC	(24003)
  Log:
  add a missing balloc commit

  Modified:
	libircd/trunk/src/balloc.c (File Modified) 


jilles      2007/02/11 19:25:02 UTC	(23608)
  Log:
  Don't lose a kqueue update when there are very many at a time.
  
  charybdis r3205 (nenolod)
  

  Modified:
	libircd/trunk/src/kqueue.c (File Modified) 


androsyn    2007/02/01 17:37:46 UTC	(23565)
  Log:
  remove in6addr_any check

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Modified) 
	libircd/trunk/include/libircd_config.h.in (File Modified) 


androsyn    2007/02/01 17:10:04 UTC	(23559)
  Log:
  re-reun autotools

  Modified:
	libircd/trunk/Makefile.in (File Modified) 
	libircd/trunk/configure (File Modified) 
	libircd/trunk/include/libircd_config.h.in (File Modified) 
	libircd/trunk/src/Makefile.in (File Modified) 


jilles      2007/02/01 17:05:13 UTC	(23555)
  Log:
  export #define IPV6 to ircd code via a new autogenerated include/libircd_abi.h,
  fixes instability with --enable-ipv6
  

  Modified:
	libircd/trunk/configure.ac (File Modified) 
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/include/libircd_abi.h.in (File Added) 


androsyn    2007/02/01 16:49:21 UTC	(23551)
  Log:
  fix SET_SS_LEN for bsd from dho

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 


androsyn    2007/01/29 14:23:09 UTC	(23543)
  Log:
  change offset from char* to uintptr_t as we have autoconf goo to find/define uintptr_t for us

  Modified:
	libircd/trunk/src/balloc.c (File Modified) 


jilles      2007/01/27 13:22:02 UTC	(23517)
  Log:
  Make NOBALLOC have the regular blockheap functions fall back
  to ircd_malloc()/ircd_free(), instead of using #defines. This
  ensures NOBALLOC does not change the ABI.
  

  Modified:
	libircd/trunk/include/balloc.h (File Modified) 
	libircd/trunk/src/balloc.c (File Modified) 


jilles      2007/01/27 13:19:53 UTC	(23515)
  Log:
  Minor balloc tweaks:
  - don't do arithmetic on void pointers
  - allocate the correct amount of memory (not too much)
  - add a standards-violating check on the pointer in ircd_bh_free()
  

  Modified:
	libircd/trunk/src/balloc.c (File Modified) 


jilles      2007/01/13 23:22:11 UTC	(23453)
  Log:
  Unbreak compile with --disable-balloc.
  

  Modified:
	libircd/trunk/src/linebuf.c (File Modified) 


androsyn    2007/01/08 15:35:04 UTC	(23397)
  Log:
  change false to no for disabling fortran and c++ in autoconf

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Modified) 


androsyn    2007/01/08 15:32:40 UTC	(23391)
  Log:
  Disable checks for fortran, c++ and java...

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Modified) 
	libircd/trunk/src/Makefile.in (File Modified) 


androsyn    2007/01/05 17:11:39 UTC	(23355)
  Log:
  more blockheap usage stuff

  Modified:
	libircd/trunk/include/balloc.h (File Modified) 
	libircd/trunk/src/balloc.c (File Modified) 


androsyn    2007/01/05 16:36:28 UTC	(23353)
  Log:
  fix typo
  

  Modified:
	libircd/trunk/include/balloc.h (File Modified) 


androsyn    2007/01/05 16:34:52 UTC	(23351)
  Log:
  forgot to add the user data to the usage cb typedef

  Modified:
	libircd/trunk/include/balloc.h (File Modified) 


androsyn    2007/01/05 16:31:00 UTC	(23349)
  Log:
  change usage callback to include a user data variable

  Modified:
	libircd/trunk/include/balloc.h (File Modified) 
	libircd/trunk/src/balloc.c (File Modified) 


androsyn    2007/01/05 16:26:58 UTC	(23347)
  Log:
  change descriptions on internal blockheaps to make them as being created by libircd

  Modified:
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/linebuf.c (File Modified) 
	libircd/trunk/src/tools.c (File Modified) 


androsyn    2007/01/05 16:22:18 UTC	(23345)
  Log:
  - make libircd link against libcrypt if it needs it
  - fix balloc buglet
  

  Modified:
	libircd/trunk/src/Makefile.am (File Modified) 
	libircd/trunk/src/Makefile.in (File Modified) 
	libircd/trunk/src/balloc.c (File Modified) 


androsyn    2007/01/05 16:16:58 UTC	(23343)
  Log:
  - change the block heap code to add a description 
  - add a function to walk over all the block heaps and call a user callback
  
  

  Modified:
	libircd/trunk/include/balloc.h (File Modified) 
	libircd/trunk/src/balloc.c (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/linebuf.c (File Modified) 
	libircd/trunk/src/snprintf.c (File Modified) 
	libircd/trunk/src/tools.c (File Modified) 


androsyn    2007/01/05 16:16:31 UTC	(23341)
  Log:
  tweak libircd makefiles a little bit. change crypt() call in libircd to ircd_crypt()

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/Makefile.am (File Modified) 
	libircd/trunk/src/Makefile.in (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/crypt.c (File Modified) 
	libircd/trunk/src/win32.c (File Modified) 


androsyn    2006/12/28 15:26:02 UTC	(23315)
  Log:
  if POSIX_SPAWN_USEVFORK exists, use it

  Modified:
	libircd/trunk/src/unix.c (File Modified) 


androsyn    2006/12/28 15:07:04 UTC	(23313)
  Log:
  add support for posix_spawn

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Modified) 
	libircd/trunk/include/libircd_config.h.in (File Modified) 
	libircd/trunk/libtool (File Deleted) 
	libircd/trunk/src/unix.c (File Modified) 


androsyn    2006/12/28 14:47:57 UTC	(23311)
  Log:
  only compile mem frobbing if MEM_FROB is defined

  Modified:
	libircd/trunk/include/tools.h (File Modified) 
	libircd/trunk/src/tools.c (File Modified) 


androsyn    2006/12/18 20:02:21 UTC	(23303)
  Log:
  some more splitout cleanups

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/src/ircd_lib.c (File Modified) 
	libircd/trunk/src/unix.c (File Modified) 


androsyn    2006/11/12 07:52:53 UTC	(23281)
  Log:
  some portability cleanups

  Modified:
	libircd/trunk/include/tools.h (File Modified) 
	libircd/trunk/src/tools.c (File Modified) 


androsyn    2006/11/12 07:32:54 UTC	(23277)
  Log:
  sigh..try this again

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2006/11/12 07:32:13 UTC	(23275)
  Log:
  forgot a const

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2006/11/12 07:30:59 UTC	(23273)
  Log:
  it should be okay to cast ircd_iovec to iovec..the other way i was doing it blew up in *weird* ways

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2006/11/12 06:53:22 UTC	(23271)
  Log:
  attempt at fixing devel..take 1

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/libtool (File Modified) 
	libircd/trunk/src/balloc.c (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/crypt.c (File Modified) 
	libircd/trunk/src/devpoll.c (File Modified) 
	libircd/trunk/src/epoll.c (File Modified) 
	libircd/trunk/src/event.c (File Modified) 
	libircd/trunk/src/helper.c (File Modified) 
	libircd/trunk/src/ircd_lib.c (File Modified) 
	libircd/trunk/src/ircd_memory.c (File Modified) 
	libircd/trunk/src/kqueue.c (File Modified) 
	libircd/trunk/src/linebuf.c (File Modified) 
	libircd/trunk/src/poll.c (File Modified) 
	libircd/trunk/src/ports.c (File Modified) 
	libircd/trunk/src/select.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 
	libircd/trunk/src/snprintf.c (File Modified) 
	libircd/trunk/src/tools.c (File Modified) 
	libircd/trunk/src/unix.c (File Modified) 
	libircd/trunk/src/win32.c (File Modified) 


androsyn    2006/10/13 23:57:58 UTC	(23251)
  Log:
  automake hates me

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Modified) 
	libircd/trunk/include/libircd_config.h.in (File Modified) 


alz         2006/10/13 19:55:38 UTC	(23249)
  Log:
  Return 0
  

  Modified:
	libircd/trunk/src/kqueue.c (File Modified) 


alz         2006/10/13 19:54:37 UTC	(23247)
  Log:
  More crack
  
  

  Modified:
	libircd/trunk/src/sigio.c (File Modified) 


alz         2006/10/13 19:52:51 UTC	(23245)
  Log:
  Androsyn is on crack
  
  

  Modified:
	libircd/trunk/src/event.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 


androsyn    2006/10/13 19:23:10 UTC	(23243)
  Log:
  alz smells like feet

  Modified:
	libircd/trunk/src/epoll.c (File Modified) 
	libircd/trunk/src/kqueue.c (File Modified) 
	libircd/trunk/src/poll.c (File Modified) 
	libircd/trunk/src/select.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 


androsyn    2006/10/13 19:20:09 UTC	(23241)
  Log:
  because alz is too lazy to commit fixes himself

  Modified:
	libircd/trunk/src/epoll.c (File Modified) 


androsyn    2006/10/13 19:17:38 UTC	(23239)
  Log:
  commit a missing commit

  Modified:
	libircd/trunk/src/epoll.c (File Modified) 


androsyn    2006/10/13 19:16:32 UTC	(23237)
  Log:
  remove SELECT_TYPE msg

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Modified) 


androsyn    2006/10/13 19:07:39 UTC	(23233)
  Log:
  fix ircd_strlcpy/cat when the OS actually has those funcs

  Modified:
	libircd/trunk/include/tools.h (File Modified) 
	libircd/trunk/libtool (File Modified) 


androsyn    2006/10/12 05:47:23 UTC	(23222)
  Log:
  Actually add configure.ac to the repo...
  

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/configure.ac (File Added) 
	libircd/trunk/src/Makefile.in (File Modified) 


androsyn    2006/10/12 05:05:19 UTC	(23216)
  Log:
  not thinking straight here :P 

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2006/10/12 04:58:00 UTC	(23214)
  Log:
  Add some crude dynamic io type selection
  

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2006/10/12 04:43:10 UTC	(23212)
  Log:
  add timeout code back to sigio

  Modified:
	libircd/trunk/src/sigio.c (File Modified) 


androsyn    2006/10/12 04:41:09 UTC	(23210)
  Log:
  oops..wtf was that

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2006/10/12 04:26:42 UTC	(23208)
  Log:
  add ircd_get_iotype prototype
  

  Modified:
	libircd/trunk/include/commio.h (File Modified) 


androsyn    2006/10/12 04:23:53 UTC	(23206)
  Log:
  fix more stupid things

  Modified:
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2006/10/12 04:17:32 UTC	(23204)
  Log:
  everything should work now
  

  Modified:
	libircd/trunk/src/devpoll.c (File Modified) 
	libircd/trunk/src/epoll.c (File Modified) 
	libircd/trunk/src/kqueue.c (File Modified) 
	libircd/trunk/src/poll.c (File Modified) 
	libircd/trunk/src/ports.c (File Modified) 
	libircd/trunk/src/select.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 


androsyn    2006/10/12 04:03:59 UTC	(23202)
  Log:
  lets try this like this

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2006/10/12 04:00:43 UTC	(23200)
  Log:
  oops. move that code outside of that ifdef

  Modified:
	libircd/trunk/src/commio.c (File Modified) 


androsyn    2006/10/12 03:56:52 UTC	(23198)
  Log:
  remove an unused function declaration

  Modified:
	libircd/trunk/src/sigio.c (File Modified) 


androsyn    2006/10/12 03:55:56 UTC	(23196)
  Log:
  add a missing linefeed at the end of the file

  Modified:
	libircd/trunk/src/sigio.c (File Modified) 


androsyn    2006/10/12 03:55:35 UTC	(23194)
  Log:
  fix some shadowed variables

  Modified:
	libircd/trunk/src/sigio.c (File Modified) 


androsyn    2006/10/12 03:53:38 UTC	(23192)
  Log:
  add a missing linefeed at the end of the file

  Modified:
	libircd/trunk/src/poll.c (File Modified) 


androsyn    2006/10/12 03:53:12 UTC	(23190)
  Log:
  add a missing linefeed at the end of the file

  Modified:
	libircd/trunk/src/devpoll.c (File Modified) 


androsyn    2006/10/12 03:51:42 UTC	(23188)
  Log:
  get the other half of that last commit
  

  Modified:
	libircd/trunk/Makefile.in (File Modified) 
	libircd/trunk/configure (File Modified) 
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/include/event.h (File Modified) 
	libircd/trunk/include/libircd_config.h.in (File Modified) 


androsyn    2006/10/12 03:50:43 UTC	(23186)
  Log:
  Change the way we do i/o loop detection quite a bit
  

  Modified:
	libircd/trunk/src/Makefile.am (File Modified) 
	libircd/trunk/src/Makefile.in (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/devpoll.c (File Modified) 
	libircd/trunk/src/epoll.c (File Modified) 
	libircd/trunk/src/event.c (File Modified) 
	libircd/trunk/src/kqueue.c (File Modified) 
	libircd/trunk/src/poll.c (File Modified) 
	libircd/trunk/src/ports.c (File Modified) 
	libircd/trunk/src/select.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 
	libircd/trunk/src/win32.c (File Modified) 


androsyn    2006/10/12 02:34:52 UTC	(23184)
  Log:
  fix autoconf/automake again
  

  Modified:
	libircd/trunk/src/Makefile.am (File Modified) 
	libircd/trunk/src/Makefile.in (File Modified) 


androsyn    2006/10/12 02:32:00 UTC	(23182)
  Log:
  fix automake

  Modified:
	libircd/trunk/Makefile.in (File Modified) 
	libircd/trunk/src/Makefile.am (File Modified) 
	libircd/trunk/src/Makefile.in (File Modified) 


androsyn    2006/10/12 02:29:23 UTC	(23180)
  Log:
  change the caller of ircd_lib to ircd_lib_init in helper.c

  Modified:
	libircd/trunk/src/helper.c (File Modified) 


androsyn    2006/10/12 02:27:06 UTC	(23178)
  Log:
  add some things autoconf needs

  Modified:
	libircd/trunk/config.guess (File Added) 
	libircd/trunk/config.sub (File Added) 
	libircd/trunk/depcomp (File Added) 


androsyn    2006/10/12 02:09:06 UTC	(23174)
  Log:
  rename ircd_lib() to ircd_lib_init()

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 
	libircd/trunk/src/ircd_lib.c (File Modified) 


androsyn    2006/10/12 01:58:07 UTC	(23172)
  Log:
  - Some more namespace cleanups
  - Add a README and TODO
  
  

  Modified:
	libircd/trunk/README (File Added) 
	libircd/trunk/TODO (File Added) 
	libircd/trunk/include/commio.h (File Modified) 
	libircd/trunk/include/tools.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/devpoll.c (File Modified) 
	libircd/trunk/src/epoll.c (File Modified) 
	libircd/trunk/src/ircd_lib.c (File Modified) 
	libircd/trunk/src/kqueue.c (File Modified) 
	libircd/trunk/src/linebuf.c (File Modified) 
	libircd/trunk/src/poll.c (File Modified) 
	libircd/trunk/src/ports.c (File Modified) 
	libircd/trunk/src/select.c (File Modified) 
	libircd/trunk/src/sigio.c (File Modified) 
	libircd/trunk/src/tools.c (File Modified) 
	libircd/trunk/src/win32.c (File Modified) 


androsyn    2006/10/12 01:33:35 UTC	(23170)
  Log:
  more strlcpy changes

  Modified:
	libircd/trunk/include/tools.h (File Modified) 
	libircd/trunk/src/commio.c (File Modified) 
	libircd/trunk/src/event.c (File Modified) 
	libircd/trunk/src/ircd_lib.c (File Modified) 
	libircd/trunk/src/ircd_memory.c (File Modified) 
	libircd/trunk/src/linebuf.c (File Modified) 


androsyn    2006/10/12 01:27:25 UTC	(23168)
  Log:
  make ircd_lib.h use the renamed headers

  Modified:
	libircd/trunk/include/ircd_lib.h (File Modified) 


androsyn    2006/10/12 01:25:06 UTC	(23166)
  Log:
  change strlcpy to ircd_strlcpy. rename config.h to libircd_config.h

  Modified:
	libircd/trunk/configure (File Modified) 
	libircd/trunk/include/ircd_memory.h (File Modified) 
	libircd/trunk/include/libircd_config.h.in (File Added) 
	libircd/trunk/include/tools.h (File Modified) 


androsyn    2006/10/12 01:16:22 UTC	(23164)
  Log:
  - Move .h files into include, .c files into src
  - Import a cut down autoconf from ircd
  - Change the init code so that ircd_lib gets passed an fd heap size
  
  

  Modified:
	libircd/trunk/COPYING (File Added) 
	libircd/trunk/CREDITS (File Added) 
	libircd/trunk/INSTALL (File Added) 
	libircd/trunk/Makefile.am (File Deleted) 
	libircd/trunk/Makefile.am (File Added) 
	libircd/trunk/Makefile.in (File Modified) 
	libircd/trunk/acinclude.m4 (File Added) 
	libircd/trunk/aclocal.m4 (File Added) 
	libircd/trunk/balloc.c (File Deleted) 
	libircd/trunk/balloc.h (File Deleted) 
	libircd/trunk/commio.c (File Deleted) 
	libircd/trunk/commio.h (File Deleted) 
	libircd/trunk/configure (File Added) 
	libircd/trunk/crypt.c (File Deleted) 
	libircd/trunk/devpoll.c (File Deleted) 
	libircd/trunk/epoll.c (File Deleted) 
	libircd/trunk/event.c (File Deleted) 
	libircd/trunk/event.h (File Deleted) 
	libircd/trunk/helper.c (File Deleted) 
	libircd/trunk/helper.h (File Deleted) 
	libircd/trunk/include/ (File Added) 
	libircd/trunk/include/balloc.h (File Added) 
	libircd/trunk/include/commio.h (File Added) 
	libircd/trunk/include/event.h (File Added) 
	libircd/trunk/include/helper.h (File Added) 
	libircd/trunk/include/ircd_lib.h (File Added) 
	libircd/trunk/include/ircd_memory.h (File Added) 
	libircd/trunk/include/linebuf.h (File Added) 
	libircd/trunk/include/snprintf.h (File Added) 
	libircd/trunk/include/tools.h (File Added) 
	libircd/trunk/install-sh (File Added) 
	libircd/trunk/ircd_lib.c (File Deleted) 
	libircd/trunk/ircd_lib.h (File Deleted) 
	libircd/trunk/ircd_memory.c (File Deleted) 
	libircd/trunk/ircd_memory.h (File Deleted) 
	libircd/trunk/kqueue.c (File Deleted) 
	libircd/trunk/libtool (File Added) 
	libircd/trunk/linebuf.c (File Deleted) 
	libircd/trunk/linebuf.h (File Deleted) 
	libircd/trunk/ltmain.sh (File Added) 
	libircd/trunk/missing (File Added) 
	libircd/trunk/poll.c (File Deleted) 
	libircd/trunk/ports.c (File Deleted) 
	libircd/trunk/select.c (File Deleted) 
	libircd/trunk/sigio.c (File Deleted) 
	libircd/trunk/snprintf.c (File Deleted) 
	libircd/trunk/snprintf.h (File Deleted) 
	libircd/trunk/src/ (File Added) 
	libircd/trunk/src/Makefile.am (File Added) 
	libircd/trunk/src/Makefile.in (File Added) 
	libircd/trunk/src/balloc.c (File Added) 
	libircd/trunk/src/commio.c (File Added) 
	libircd/trunk/src/crypt.c (File Added) 
	libircd/trunk/src/devpoll.c (File Added) 
	libircd/trunk/src/epoll.c (File Added) 
	libircd/trunk/src/event.c (File Added) 
	libircd/trunk/src/helper.c (File Added) 
	libircd/trunk/src/ircd_lib.c (File Added) 
	libircd/trunk/src/ircd_memory.c (File Added) 
	libircd/trunk/src/kqueue.c (File Added) 
	libircd/trunk/src/linebuf.c (File Added) 
	libircd/trunk/src/poll.c (File Added) 
	libircd/trunk/src/ports.c (File Added) 
	libircd/trunk/src/select.c (File Added) 
	libircd/trunk/src/sigio.c (File Added) 
	libircd/trunk/src/snprintf.c (File Added) 
	libircd/trunk/src/tools.c (File Added) 
	libircd/trunk/src/unix.c (File Added) 
	libircd/trunk/src/win32.c (File Added) 
	libircd/trunk/tools.c (File Deleted) 
	libircd/trunk/tools.h (File Deleted) 
	libircd/trunk/unix.c (File Deleted) 
	libircd/trunk/win32.c (File Deleted) 


androsyn    2006/10/12 00:41:26 UTC	(23162)
  Log:
  damnit

  Modified:
	libircd/trunk/tools.c (File Modified) 


androsyn    2006/10/12 00:39:36 UTC	(23161)
  Log:
  automated serno/changelog

  Modified:
	libircd/trunk/ChangeLog (File Modified) 


androsyn    2006/10/12 00:39:28 UTC	(23160)
  Log:
  i think it works now..really

  Modified:
	libircd/trunk/tools.c (File Modified) 


androsyn    2006/10/12 00:34:12 UTC	(23157)
  Log:
  work you piece of shit

  Modified:
	libircd/trunk/tools.c (File Modified) 


androsyn    2006/10/12 00:31:31 UTC	(23156)
  Log:
  test commit

  Modified:
	libircd/trunk/tools.c (File Modified) 


androsyn    2006/10/12 00:29:54 UTC	(23155)
  Log:
  test commit

  Modified:
	libircd/trunk/tools.c (File Modified) 


androsyn    2006/10/12 00:27:07 UTC	()
  Log:
  test commit

  Modified:
	libircd/trunk/tools.c (File Modified) 


androsyn    2006/10/12 00:26:28 UTC	()
  Log:
  test commit

  Modified:
	libircd/trunk/tools.c (File Modified) 


androsyn    2006/10/12 00:25:15 UTC	()
  Log:
  test commit

  Modified:
	libircd/trunk/tools.c (File Modified) 


androsyn    2006/10/12 00:22:44 UTC	()
  Log:
  test commit

  Modified:
	libircd/trunk/tools.c (File Modified) 


androsyn    2006/10/12 00:21:54 UTC	()
  Log:
  here is a new changelog for libircd
  

  Modified:
	libircd/trunk/ChangeLog (File Added) 


